services:
  grafana:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    container_name: grafana
    image: grafana/grafana-oss:12.4.2
    ports:
      - 8090:3000
    networks:
      - ip4net
    volumes:
      - ${MONITORING_PATH}/grafana/data:/var/lib/grafana
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.grafana.rule=Host(`grafana.${LOCAL_DOMAIN}`)"
      - "traefik.http.routers.grafana.entrypoints=https"
      - "traefik.http.routers.grafana.tls=true"

